<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbHostServerTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_host_server', function(Blueprint $table)
		{
			$table->integer('id')->default(0);
			$table->integer('site_id')->default(0);
			$table->boolean('active')->nullable();
			$table->boolean('debug')->nullable();
			$table->string('name', 128)->nullable();
			$table->string('notes')->nullable();
			$table->string('provision_plugin', 128)->nullable();
			$table->text('provision_plugin_data')->nullable();
			$table->integer('max_accounts')->nullable();
			$table->string('whitelabel_url', 256)->nullable();
			$table->string('manage_url', 256)->nullable();
			$table->string('manage_username', 45)->nullable();
			$table->string('manage_password', 45)->nullable();
			$table->primary(['id','site_id']);
			$table->unique(['site_id','id'], 'IDS');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_host_server');
	}

}
